/*******************************************************************************
* File Name: toggleSwitch.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_toggleSwitch_ALIASES_H) /* Pins toggleSwitch_ALIASES_H */
#define CY_PINS_toggleSwitch_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define toggleSwitch_0			(toggleSwitch__0__PC)
#define toggleSwitch_0_PS		(toggleSwitch__0__PS)
#define toggleSwitch_0_PC		(toggleSwitch__0__PC)
#define toggleSwitch_0_DR		(toggleSwitch__0__DR)
#define toggleSwitch_0_SHIFT	(toggleSwitch__0__SHIFT)
#define toggleSwitch_0_INTR	((uint16)((uint16)0x0003u << (toggleSwitch__0__SHIFT*2u)))

#define toggleSwitch_INTR_ALL	 ((uint16)(toggleSwitch_0_INTR))


#endif /* End Pins toggleSwitch_ALIASES_H */


/* [] END OF FILE */
