/*******************************************************************************
* File Name: Lamp.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Lamp_ALIASES_H) /* Pins Lamp_ALIASES_H */
#define CY_PINS_Lamp_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Lamp_0			(Lamp__0__PC)
#define Lamp_0_PS		(Lamp__0__PS)
#define Lamp_0_PC		(Lamp__0__PC)
#define Lamp_0_DR		(Lamp__0__DR)
#define Lamp_0_SHIFT	(Lamp__0__SHIFT)
#define Lamp_0_INTR	((uint16)((uint16)0x0003u << (Lamp__0__SHIFT*2u)))

#define Lamp_INTR_ALL	 ((uint16)(Lamp_0_INTR))


#endif /* End Pins Lamp_ALIASES_H */


/* [] END OF FILE */
