/*******************************************************************************
* File Name: PinPWM.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PinPWM_ALIASES_H) /* Pins PinPWM_ALIASES_H */
#define CY_PINS_PinPWM_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define PinPWM_0			(PinPWM__0__PC)
#define PinPWM_0_PS		(PinPWM__0__PS)
#define PinPWM_0_PC		(PinPWM__0__PC)
#define PinPWM_0_DR		(PinPWM__0__DR)
#define PinPWM_0_SHIFT	(PinPWM__0__SHIFT)
#define PinPWM_0_INTR	((uint16)((uint16)0x0003u << (PinPWM__0__SHIFT*2u)))

#define PinPWM_INTR_ALL	 ((uint16)(PinPWM_0_INTR))


#endif /* End Pins PinPWM_ALIASES_H */


/* [] END OF FILE */
